com.orsoncharts.util

## Enum RefPt2D

- java.lang.Object
- - java.lang.Enum<RefPt2D>
  - - com.orsoncharts.util.RefPt2D

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RefPt2D>

      public enum RefPt2D
      extends java.lang.Enum<RefPt2D>

  An enumeration of reference points within a rectangle. These reference points are used to place titles, legends and other labels.
  See Also:
    `Anchor2D`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM_CENTER` The middle of a rectangle at the bottom.
    `BOTTOM_LEFT` The bottom-left corner of a rectangle.
    `BOTTOM_RIGHT` The bottom-right corner of a rectangle.
    `CENTER` The center of a rectangle.
    `CENTER_LEFT` The middle of a rectangle at the left side.
    `CENTER_RIGHT` The middle of a rectangle at the right side.
    `TOP_CENTER` The middle of a rectangle at the top.
    `TOP_LEFT` The top-left corner of a rectangle.
    `TOP_RIGHT` The top-right corner of a rectangle.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isBottom()` Returns `true` if the reference point is at the bottom, and `false` otherwise.
    `boolean` | `isHorizontalCenter()` Returns `true` if the reference point is at the center horizontally, and `false` otherwise.
    `boolean` | `isLeft()` Returns `true` if the reference point is at the left, and `false` otherwise.
    `boolean` | `isRight()` Returns `true` if the reference point is at the right, and `false` otherwise.
    `boolean` | `isTop()` Returns `true` if the reference point is at the top, and `false` otherwise.
    `boolean` | `isVerticalCenter()` Returns `true` if the reference point is at the center vertically, and `false` otherwise.
    `static RefPt2D` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RefPt2D[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP_LEFT

          public static final RefPt2D TOP_LEFT

      The top-left corner of a rectangle.

    - #### TOP_CENTER

          public static final RefPt2D TOP_CENTER

      The middle of a rectangle at the top.

    - #### TOP_RIGHT

          public static final RefPt2D TOP_RIGHT

      The top-right corner of a rectangle.

    - #### CENTER_LEFT

          public static final RefPt2D CENTER_LEFT

      The middle of a rectangle at the left side.

    - #### CENTER

          public static final RefPt2D CENTER

      The center of a rectangle.

    - #### CENTER_RIGHT

          public static final RefPt2D CENTER_RIGHT

      The middle of a rectangle at the right side.

    - #### BOTTOM_LEFT

          public static final RefPt2D BOTTOM_LEFT

      The bottom-left corner of a rectangle.

    - #### BOTTOM_CENTER

          public static final RefPt2D BOTTOM_CENTER

      The middle of a rectangle at the bottom.

    - #### BOTTOM_RIGHT

          public static final RefPt2D BOTTOM_RIGHT

      The bottom-right corner of a rectangle.

  - ### Method Detail

    - #### values

          public static RefPt2D[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RefPt2D c : RefPt2D.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RefPt2D valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isLeft

          public boolean isLeft()

      Returns `true` if the reference point is at the left, and `false` otherwise.
      Returns:
        A boolean.

    - #### isRight

          public boolean isRight()

      Returns `true` if the reference point is at the right, and `false` otherwise.
      Returns:
        A boolean.

    - #### isHorizontalCenter

          public boolean isHorizontalCenter()

      Returns `true` if the reference point is at the center horizontally, and `false` otherwise.
      Returns:
        A boolean.

    - #### isTop

          public boolean isTop()

      Returns `true` if the reference point is at the top, and `false` otherwise.
      Returns:
        A boolean.

    - #### isBottom

          public boolean isBottom()

      Returns `true` if the reference point is at the bottom, and `false` otherwise.
      Returns:
        A boolean.

    - #### isVerticalCenter

          public boolean isVerticalCenter()

      Returns `true` if the reference point is at the center vertically, and `false` otherwise.
      Returns:
        A boolean.